Get one queue with its full configuration
curl --request GET \
--url https://{subdomain}.mihu.ai/api/v1/queues/{uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.mihu.ai/api/v1/queues/{uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.mihu.ai/api/v1/queues/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Queue retrieved",
"data": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Enterprise Support",
"color": "q-support",
"is_active": true,
"sla_seconds": 123,
"channels": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel": "call",
"identifier": "+12013790120",
"endpoint_id": "<string>",
"mode": "autopilot",
"ai_agent": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"sla_seconds": 30,
"knowledge_gap": {
"enabled": true,
"threshold": 67,
"hand_off_to": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"callback": {
"enabled": true,
"user_email": "<string>",
"prompt": "<string>"
},
"overflow": {
"enabled": true,
"reason": "threshold",
"target_type": "agent",
"target": "<string>"
},
"escalation": {
"enabled": true,
"reason": "sla",
"target_type": "agent",
"target": "<string>"
},
"working_hours": {
"enabled": true,
"days": [
"Mon"
],
"start": "09:00",
"end": "18:00",
"after_hours": "<string>"
}
}
],
"members": [
{
"email": "<string>",
"name": "<string>",
"role": "member"
}
],
"routings": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Long wait → AI",
"is_active": true,
"rules": [
{
"channel_assignment": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel_identifier": "+12013790120",
"if": {
"trigger": "wait",
"seconds": 123,
"keyword": "<string>",
"field": "<string>",
"operator": "eq",
"value": "<string>"
},
"then": {
"action": "transfer_to_ai_agent",
"ai_agent": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ai_agent_name": "<string>"
}
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Queues
Get one queue with its full configuration
Accepts a workspace API token or a per-user JWT (mihu scope numbers / Loop scope loop.conversations.view).
GET
/
api
/
v1
/
queues
/
{uuid}
Get one queue with its full configuration
Authorizations
Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"
Path Parameters
⌘I